Get guest check line item extensibility details
post
/bi/v1/{orgIdentifier}/getGuestCheckLineItemExtDetails
Get all the Guest Check Line Item Extensibility details for a specified location and business date.
Request
Path Parameters
-
orgIdentifier(required): string
Unique identifier of the organization name
The request body defines the details of the API request.
Root Schema : guestCheckLIExtRequestPayload
Type:
objectRequest payload
Show Source
-
applicationName:
string
Title:
Application NameMaximum Length:128The name of the application which is accessing the API.First Available Version: 20.1.10
-
busDt(required):
string(date)
Title:
Business DateThe business date associated with the guest check line item that this extensibility record belongs to. -
changedSinceUTC:
string(date-time)
Title:
Changed Since Date Time UTCReport all guest check line item extensibility activity that has occurred since this UTC date and time. If this object is not included, return all guest check line item extensibility activity for the specified business date.First Available Version: 20.5
-
include:
string
Title:
IncludeMaximum Length:2000List of objects to include in response -
locRef(required):
string
Title:
Location ReferenceMaximum Length:99The location reference, this may be a store number or name depending on the organization -
searchCriteria:
string
Title:
Search CriteriaMaximum Length:2000Search criteria to filter results based on field value
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : guestCheckLIExtDetails
Type:
objectThe response body contains information about the guest check line item extensiblity transactions for the specified location and business date.
Show Source
-
busDt(required):
string(date)
Title:
Business DateThe business date associated with the guest check line item extensibility detail -
curUTC(required):
string(date-time)
Title:
Current Date Time in UTCThe current UTC date and time when the request is made.First Available Version: 20.5
-
locRef(required):
string
Title:
Location ReferenceMaximum Length:99The location reference, this may be a store number or name depending on the organization -
revenueCenters(required):
array revenueCenters
An array of guest check line item extensibility details by reveneue centers
Nested Schema : revenueCenters
Type:
arrayAn array of guest check line item extensibility details by reveneue centers
Show Source
-
Array of:
object guestCheckLIExtDetailsByRVC
The response body contains guest check line item extensiblity transactions associated with a revenue center
Nested Schema : guestCheckLIExtDetailsByRVC
Type:
objectThe response body contains guest check line item extensiblity transactions associated with a revenue center
Show Source
-
detailLines(required):
array detailLines
An array of guest check detail lines with extensibility data. This attribute will not be returned in the response if value is null
-
rvcNum(required):
integer
Title:
Revenue center numberMaximum Length:10Revenue Center number. This attribute will not be returned in the response if detailLines is null
Nested Schema : detailLines
Type:
arrayAn array of guest check detail lines with extensibility data. This attribute will not be returned in the response if value is null
Show Source
-
Array of:
object guestCheckLIExtDetail
The response body contains guest check extensiblity information associated with a revenue center
Nested Schema : guestCheckLIExtDetail
Type:
objectThe response body contains guest check extensiblity information associated with a revenue center
Show Source
-
dspName(required):
string
Title:
Display NameMaximum Length:99Display name. This attribute will not be returned in the response if value is null -
extAppId(required):
integer
Title:
Extension Appllication IDMaximum Length:16Unique identifier extension application. This attribute will not be returned in the response if value is null -
extDataName(required):
string
Title:
Extension Data nameMaximum Length:99Name of the extension data. This attribute will not be returned in the response if value is null -
guestCheckId(required):
integer
Title:
Guest Check IDMaximum Length:16The unique identifier of the guest check -
guestCheckLineItemId(required):
integer
Title:
Guest Check Line Item IDMaximum Length:16The unique identifier of the guest check line item -
strData(required):
string
Title:
String DataMaximum Length:99String data associated with the extension. This attribute will not be returned in the response if value is null
400 Response
Bad Request
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
401 Response
Unauthorized
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
403 Response
Service Unavailable
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
404 Response
Resource Not Found
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Default Response
Unexpected Error
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Examples
The following example shows how to get the guest check extensibility details for a specified location and business date by submitting a POST request on the REST resource using cURL. For more information, see Use cURL
curl -i -X POST -H "Authorization: Bearer" -H "Content-Type:application/json" -d {"locRef":"1234","busDt":"2020-10-20","changedSinceUTC":"2020-10-20T16:00:00"} https://baseurl/bi/v1/orgidentifier/getGuestCheckLineItemExtDetails
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Date: Tue, 20 Oct 2020 21:24:33 GMT Transfer-Encoding: chunked Content-Type: application/json
Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"curUTC": "2020-10-20T16:42:42",
"locRef": "1234",
"busDt": "2020-10-20",
"revenueCenters": [{
"rvcNum": 1372,
"detailLines": [{
"guestCheckId": 124354,
"guestCheckLineItemIdId": 134567,
"extAppId": 123,
"extDataName": "Extensibility Data",
"strData": "Extension string",
"dspName": "Name"
}]
}]
}